Bug 218654 - up2date does not "see" multilib packages in "dir" repos
up2date does not "see" multilib packages in "dir" repos
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Brandon Perkins
:
: 218646 (view as bug list)
Depends On: 168250
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 11:48 EST by Pradeep Kilambi
Modified: 2013-01-10 04:05 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0439
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-11 14:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dry run log (49.09 KB, text/plain)
2007-06-07 12:31 EDT, wes hayutin
no flags Details

  None (edit)
Comment 1 Bret McMillan 2006-12-08 13:41:14 EST
*** Bug 218646 has been marked as a duplicate of this bug. ***
Comment 4 Red Hat Bugzilla 2007-04-11 21:58:18 EDT
User bnackash@redhat.com's account has been closed
Comment 6 wes hayutin 2007-05-21 15:22:03 EDT
[root@cwelton-64 RPMS]# rpm -qa | grep zsh
zsh-4.2.0-3.i386
zsh-4.2.1-2.x86_64
[root@cwelton-64 RPMS]# ls
zsh-4.2.1-2.i386.rpm  zsh-4.2.1-2.x86_64.rpm  zsh-4.2.6-13.x86_64.rpm
[root@cwelton-64 RPMS]# pwd
/var/spool/RPMS
[root@cwelton-64 RPMS]# up2date -l

Fetching Obsoletes list for channel: rhel-x86_64-as-3...
########################################

Fetching Obsoletes list for channel: rhn-tools-rhel-3-as-x86_64...
########################################

Fetching Obsoletes list for channel: wes64test...

Fetching Obsoletes list for channel: wes64test4...

Fetching Obsoletes list for channel: my-favorite-rpms...
########################################

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------
zsh                                     4.2.6          13                x86_64
Comment 11 wes hayutin 2007-06-07 12:25:18 EDT
k.. the original bug is fixed.. and working


curly.devel.redhat.com:/vol/engineering/devarchive/redhat on /wes type nfs
(rw,addr=10.11.254.52)

### A local directory full of packages (a "dir" repo). For example:
#dir my-favorite-rpms-i386-9 /var/spool/RPMS/
dir latest /wes/rel-eng/RHEL3-U9-re20070529.0/ia64/ia64-AS/RedHat/RPMS

[root@bohr root]# up2date-nox -u --dry-run glibc

Fetching Obsoletes list for channel: rhel-ia64-as-3...

Fetching Obsoletes list for channel: latest...
########################################

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
glibc                                   2.3.2          95.50             ia64
glibc                                   2.3.2          95.50             i686


Testing package set / solving RPM inter-dependencies...
########################################

Name                                    Version        Rel
----------------------------------------------------------
glibc                                   2.3.2          95.50             i686
glibc                                   2.3.2          95.50             ia64
glibc-common                            2.3.2          95.50             ia64
glibc-utils                             2.3.2          95.50             ia64

The following Packages are obsoleted by newer packages:

Name-Version-Release        obsoleted by      Name-Version-Release
-------------------------------------------------------------------------------
gaim-1.5.0-11.el3                       pidgin-1.5.1-1.el3
                                        pidgin-1.5.1-1.el3

gaim-1.5.0-11.el3                       pidgin-1.5.1-1.el3
                                        pidgin-1.5.1-1.el3

ethereal-0.99.0-EL3.2                   wireshark-0.99.5-EL3.1
ethereal-gnome-0.99.0-EL3.2             wireshark-gnome-0.99.5-EL3.1
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
glibc-common                            2.3.2          95.50
glibc-utils                             2.3.2          95.50



-------------------------------
I will now test the up2date -uf
Comment 12 wes hayutin 2007-06-07 12:31:13 EDT
 up2date-nox -uf --dry-run  | tee up2date_wes.log
see attachment for log file
Comment 13 wes hayutin 2007-06-07 12:31:50 EDT
Created attachment 156483 [details]
dry run log
Comment 14 wes hayutin 2007-06-07 12:50:57 EDT
how to get everything working ..
1. install rhel3_U8
2. install ia32el.rpm
3. START the ia32el service.. DOH!! /etc/init.d/ia32el start
(double check the /emul dir for files..)
Comment 16 wes hayutin 2007-06-07 12:55:08 EDT
comments from pradeep

weshay question.. do you know why ia32el is required for up2date to resolv deps?
weshay https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=218654
prad-hm no, but I know that there is a dependency on it for a multi lib packages
on an ia64 box..
prad-hm not sure what is the role of 1a32el though
Comment 17 wes hayutin 2007-06-07 13:10:22 EDT
http://www.centos.org/docs/3/release-notes/as-itanium/RELEASE-NOTES-U7-itanium-en.html
also has ia32el listed as a prereq.
Comment 18 Doug Chapman 2007-06-07 13:21:26 EDT
(In reply to comment #16)
> comments from pradeep
> 
> weshay question.. do you know why ia32el is required for up2date to resolv deps?
> weshay https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=218654
> prad-hm no, but I know that there is a dependency on it for a multi lib packages
> on an ia64 box..
> prad-hm not sure what is the role of 1a32el though

ia32el is needed for a couple of reasons:
1) not all variants of the ia64 processor will run ia32 binaries without the
software interpreter (which is what ia32el does)
2) even on ia64 systems that do support running ia32 binaries certain operations
just don't work with the hardware emulation so ia32el is prefered

Comment 19 Red Hat Bugzilla 2007-06-11 14:47:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0439.html

Note You need to log in before you can comment on or make changes to this bug.